﻿;***comDoc***
;============
;
;Create memory document demo program.
;/////////////////////////////////////////////////////////////////////////////////

CoInitialize_(0)

XIncludeFile "..\comDoc.pbi"

Define myDoc.comDocDocumentObject, myFile.comDocFileObject

;Create a memory-based compound document.
  myDoc = comDoc_CreateMemoryDocument()

If myDoc
  ;Create a first file within the document.
    myFile = myDoc\CreateFile("file1")
    If myFile
      ;Write 1000 longs - just for the hell of it!
        For i = 1 To 1000
          myFile\WriteLong(10*i)
        Next
      myFile\Close()
    EndIf

  ;A second file (text)
    myFile = myDoc\CreateFile("file2")
    If myFile
      ;Write a couple of strings. (Strings are automatically null-terminated).
        myFile\WriteString("String 1", #PB_UTF8)
        myFile\WriteString("String 2", #PB_UTF8)
      myFile\Close()
    EndIf

  ;Let us save the document to disc
    myDoc\SaveDocumentAs("test.cmp", #False)    ;The (optional) second parameter tells comDoc to continue using the original
                                                ;memory based document as opposed to switching to the newly saved one.
  myDoc\Close()
EndIf



; IDE Options = PureBasic 4.51 (Windows - x86)
; ExecutableFormat = Shared Dll
; CursorPosition = 6
; EnableUnicode
; EnableXP
; Executable = nxReportU.dll