﻿;***comDoc***
;============
;
;Create image document demo program.
;
;This demo creates a single document containing a bunch of images.
;/////////////////////////////////////////////////////////////////////////////////

#NumImages = 6

CoInitialize_(0)

XIncludeFile "..\..\comDoc.pbi"

Define myDoc.comDocDocumentObject, myFile.comDocFileObject

;Create a disc-based compound document.
  myDoc = comDoc_CreateDiscDocument("images.cmp")

If myDoc
  ;We load each image and then add it to our document in the form of a file.
    For i = 0 To #NumImages-1
      file$ = "Images\image" + Str(i) + ".bmp"
      numBytes = FileSize(file$)
      If numBytes > 0
        buffer = AllocateMemory(numBytes)
        If buffer
          If ReadFile(1, file$)
            ;Read the image data into our buffer.
              ReadData(1, buffer, numBytes)
            ;Create a new file within our compound document.
              myFile = myDoc\CreateFile("image" + Str(i+1))
            If myFile
              ;Write the image to our new document file.
                myFile\WriteData(buffer, numBytes)
              myFile\Close()
            EndIf          
            CloseFile(1)
          EndIf        
          FreeMemory(buffer)
        EndIf 
      EndIf
    Next
  myDoc\Close()
EndIf



; IDE Options = PureBasic 4.60 (Windows - x86)
; ExecutableFormat = Shared Dll
; CursorPosition = 18
; FirstLine = 12
; EnableUnicode
; EnableXP
; Executable = nxReportU.dll